ref: 276e47e7a75d5bf9f8f07a2bcdaab1cce9f8c497
parent: 73622119dd625b216f38700a29058147389dc4f7
author: David Turner <[email protected]>
date: Thu Nov 9 13:29:59 EST 2000
- moved default installation of header files to "include/freetype2" instead of "include/freetype" - added generation and installation of "freetype-config" script
--- a/builds/cygwin/configure
+++ b/builds/cygwin/configure
@@ -2302,7 +2302,7 @@
ac_given_srcdir=$srcdir
ac_given_INSTALL="$INSTALL"
-trap 'rm -fr `echo "cygwin-cc.mk:cygwin-cc.in cygwin-def.mk:cygwin-def.in ftconfig.h:ftconfig.in" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
+trap 'rm -fr `echo "cygwin-cc.mk:cygwin-cc.in cygwin-def.mk:cygwin-def.in freetype-config ftconfig.h:ftconfig.in" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF
@@ -2404,7 +2404,7 @@
cat >> $CONFIG_STATUS <<EOF
-CONFIG_FILES=\${CONFIG_FILES-"cygwin-cc.mk:cygwin-cc.in cygwin-def.mk:cygwin-def.in"}
+CONFIG_FILES=\${CONFIG_FILES-"cygwin-cc.mk:cygwin-cc.in cygwin-def.mk:cygwin-def.in freetype-config"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
--- a/builds/cygwin/configure.in
+++ b/builds/cygwin/configure.in
@@ -82,6 +82,6 @@
dnl create the CygWin-specific sub-Makefile `builds/cygwin/cygwin-def.mk'
dnl and 'builds/cygwin/cygwin-cc.mk' that will be used by the build system
dnl
-AC_OUTPUT(cygwin-cc.mk:cygwin-cc.in cygwin-def.mk:cygwin-def.in)
+AC_OUTPUT(cygwin-cc.mk:cygwin-cc.in cygwin-def.mk:cygwin-def.in freetype-config)
dnl end of configure.in
--- a/builds/cygwin/cygwin-def.in
+++ b/builds/cygwin/cygwin-def.in
@@ -33,12 +33,13 @@
INSTALL_DATA := @INSTALL_DATA@
MKINSTALLDIRS := $(BUILD)/mkinstalldirs
-DISTCLEAN += $(BUILD)/config.cache \
- $(BUILD)/config.log \
- $(BUILD)/config.status \
- $(BUILD)/cygwin-def.mk \
- $(BUILD)/cygwin-cc.mk \
- $(BUILD)/ftconfig.h \
+DISTCLEAN += $(BUILD)/config.cache \
+ $(BUILD)/config.log \
+ $(BUILD)/config.status \
+ $(BUILD)/cygwin-def.mk \
+ $(BUILD)/cygwin-cc.mk \
+ $(BUILD)/ftconfig.h \
+ $(BUILD)/freetype-config \
$(LIBTOOL)
--- /dev/null
+++ b/builds/cygwin/freetype-config.in
@@ -1,0 +1,81 @@
+#!/bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec_prefix_set=no
+
+usage()
+{
+ cat <<EOF
+Usage: freetype-config [OPTIONS] [LIBRARIES]
+Options:
+ [--prefix[=DIR]]
+ [--exec-prefix[=DIR]]
+ [--version]
+ [--libs]
+ [--cflags]
+EOF
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1 1>&2
+fi
+
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case $1 in
+ --prefix=*)
+ prefix=$optarg
+ if test $exec_prefix_set = no ; then
+ exec_prefix=$optarg
+ fi
+ ;;
+ --prefix)
+ echo_prefix=yes
+ ;;
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ exec_prefix_set=yes
+ ;;
+ --exec-prefix)
+ echo_exec_prefix=yes
+ ;;
+ --version)
+ echo @VERSION@
+ exit 0
+ ;;
+ --cflags)
+ echo_cflags=yes
+ ;;
+ --libs)
+ echo_libs=yes
+ ;;
+ *)
+ usage 1 1>&2
+ ;;
+ esac
+ shift
+done
+
+if test "$echo_prefix" = "yes"; then
+ echo $prefix
+fi
+if test "$echo_exec_prefix" = "yes"; then
+ echo $exec_prefix
+fi
+if test "$echo_cflags" = "yes"; then
+ cflags="-I@includedir@/freetype2"
+ echo $cflags $includes
+fi
+if test "$echo_libs" = "yes"; then
+ libs="-lfreetype"
+ echo -L@libdir@ $libs
+fi
+
+
--- a/builds/cygwin/install.mk
+++ b/builds/cygwin/install.mk
@@ -1,5 +1,5 @@
#
-# FreeType 2 installation instructions for Unix-like systems
+# FreeType 2 installation instructions for Unix systems
#
@@ -14,46 +14,50 @@
# Unix installation and deinstallation targets.
-
install: $(PROJECT_LIBRARY)
- $(MKINSTALLDIRS) $(libdir) \
- $(includedir)/freetype/config \
- $(includedir)/freetype/internal \
- $(includedir)/freetype/cache
+ $(MKINSTALLDIRS) $(libdir) \
+ $(includedir)/freetype2/freetype/config \
+ $(includedir)/freetype2/freetype/internal \
+ $(includedir)/freetype2/freetype/cache \
+ $(bindir)
$(LIBTOOL) --mode=install $(INSTALL) $(PROJECT_LIBRARY) $(libdir)
- -for P in $(PUBLIC_H) ; do \
- $(INSTALL_DATA) $$P $(includedir)/freetype ; \
+ -for P in $(PUBLIC_H) ; do \
+ $(INSTALL_DATA) $$P $(includedir)/freetype2/freetype ; \
done
- -for P in $(BASE_H) ; do \
- $(INSTALL_DATA) $$P $(includedir)/freetype/internal ; \
+ -for P in $(BASE_H) ; do \
+ $(INSTALL_DATA) $$P $(includedir)/freetype2/freetype/internal ; \
done
- -for P in $(CONFIG_H) ; do \
- $(INSTALL_DATA) $$P $(includedir)/freetype/config ; \
+ -for P in $(CONFIG_H) ; do \
+ $(INSTALL_DATA) $$P $(includedir)/freetype2/freetype/config ; \
done
- -for P in $(BASE_H) ; do \
- $(INSTALL_DATA) $$P $(includedir)/freetype/cache ; \
+ -for P in $(CACHE_H) ; do \
+ $(INSTALL_DATA) $$P $(includedir)/freetype2/freetype/cache ; \
done
+ $(INSTALL) -m a+x $(BUILD)/freetype-config $(bindir)/freetype-config
+
uninstall:
- -$(LIBTOOL) --mode=uninstall $(RM) $(libdir)/$(PROJECT_LIBRARY).$A
- -$(DELETE) $(includedir)/freetype/cache/*
- -$(DELDIR) $(includedir)/freetype/cache
- -$(DELETE) $(includedir)/freetype/config/*
- -$(DELDIR) $(includedir)/freetype/config
- -$(DELETE) $(includedir)/freetype/internal/*
- -$(DELDIR) $(includedir)/freetype/internal
- -$(DELETE) $(includedir)/freetype/*
- -$(DELDIR) $(includedir)/freetype
+ -$(LIBTOOL) --mode=uninstall $(RM) $(libdir)/lib$(PROJECT).$A
+ -$(DELETE) $(includedir)/freetype2/freetype/cache/*
+ -$(DELDIR) $(includedir)/freetype2/freetype/cache
+ -$(DELETE) $(includedir)/freetype2/freetype/config/*
+ -$(DELDIR) $(includedir)/freetype2/freetype/config
+ -$(DELETE) $(includedir)/freetype2/freetype/internal/*
+ -$(DELDIR) $(includedir)/freetype2/freetype/internal
+ -$(DELETE) $(includedir)/freetype2/freetype/*
+ -$(DELDIR) $(includedir)/freetype2/freetype
+ -$(DELDIR) $(includedir)/freetype2
+ -$(DELETE) $(bindir)/freetype-config
# Unix cleaning and distclean rules.
#
-clean_project_cygwin:
+clean_project_unix:
-$(DELETE) $(BASE_OBJECTS) $(OBJ_M) $(OBJ_S)
-$(DELETE) $(patsubst %.$O,%.$(SO),$(BASE_OBJECTS) $(OBJ_M) $(OBJ_S)) \
$(CLEAN)
-distclean_project_cygwin: clean_project_cygwin
+distclean_project_unix: clean_project_unix
-$(DELETE) $(PROJECT_LIBRARY)
-$(DELETE) $(OBJ_DIR)/.libs/*
-$(DELDIR) $(OBJ_DIR)/.libs